Bug 525732 - munge bug in initscript
Summary: munge bug in initscript
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: munge
Version: el5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 13:20 UTC by Issue Tracker
Modified: 2018-10-20 03:24 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-10-16 19:36:34 UTC


Attachments (Terms of Use)

Description Issue Tracker 2009-09-25 13:20:02 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2009-09-25 13:20:04 UTC
Event posted on 09-24-2009 08:06pm EDT by woodard

Munge is now in EPEL and centos gets it from there. Chris the upstream fixed it there. However, it is too minor a change to make a new release. We should fix the package.

Date: Thu, 24 Sep 2009 16:31:33 -0700
From: Chris Dunlap <cdunlap@llnl.gov>
Message-Id: <20090924233133.4053F14001@caffeine.llnl.gov>
This is already fixed and will appear in the next release (no ETA yet).
It should be:

  SERVICE_NAME="`basename "$0" .init | sed 's/^[SK][0-9][0-9]*//'`"

This should probably be reported to the distro's bug tracker so they
can issue an updated rpm.  I'll see if I can find someone to do that.

-Chris


On Thu, 2009-09-24 at 08:07pm +0200, Charles Vejnar wrote:
> 
> Hi,
> 
> I recently installed Munge on a CentOS 5.3. It seems there is a
> problem with the Initscript. On line 45, SERVICE_NAME gets S40munge
> and not munge, which makes the reading of /etc/sysconfig/munge
> impossible a few lines after.
> 
> Line 45:
> SERVICE_NAME="`basename "$0" .init`"
> 
> Would it be possible to modify the script to make it work (I have just
> put SERVICE_NAME="munge" in my file for now) ?
> 
> Thank you
> 
> Charles
> 
> _______________________________________________
> munge-users mailing list
> munge-users@gna.org
> https://mail.gna.org/listinfo/munge-users

This event sent from IssueTracker by kbaxley  [LLNL (HPC)]
 issue 346913

Comment 2 Fedora Update System 2009-09-26 10:52:08 UTC
munge-0.5.8-6.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/munge-0.5.8-6.el4

Comment 3 Fedora Update System 2009-09-26 10:52:48 UTC
munge-0.5.8-6.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/munge-0.5.8-6.el5

Comment 4 Fedora Update System 2009-09-26 10:53:16 UTC
munge-0.5.8-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/munge-0.5.8-6.fc10

Comment 5 Fedora Update System 2009-09-26 10:53:45 UTC
munge-0.5.8-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/munge-0.5.8-6.fc11

Comment 6 Fedora Update System 2009-09-28 18:22:50 UTC
munge-0.5.8-6.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update munge'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0535

Comment 7 Fedora Update System 2009-10-14 01:37:59 UTC
munge-0.5.8-6.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2009-10-14 01:55:40 UTC
munge-0.5.8-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2009-10-16 19:32:15 UTC
munge-0.5.8-6.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2009-10-16 19:36:28 UTC
munge-0.5.8-6.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.